読者です 読者をやめる 読者になる 読者になる

dskst's diary

Life and Tech Blog

CakePHP / PHPUnit のインストール(というか、 php-mcrypt )でハマる

PHP

最近 CakePHP を仕事で使う必要が出てきて勉強中。 Vagrant にて CentOS7 を構築してインストールしたまではいいが、 PHPUnit のインストール時に少しハマったのでメモ。

いろいろググった結果

やり方がいろいろと出るわ出るわ。
Composer でインストールしたかったのだが、 app/Vendor/PHPUnit にインストールしている方もいた。
app/Vendor は用途が違う気がする & PHPUnit ってディレクトリ切るのも??ってことで、 vendors/ 配下にインストールする記事を発見。

cakephp2系にphpunitとDebugkitをcomposerを使って最速で導入する

これが一番良くまとまって速攻でインストールできた。ありがとうございます。

ハマったこと

f:id:dskst9:20151028160911j:plain

さて、 PHPUnit を Composer でのインストールはいいとして、ハマった所について。

記事の通りに $ composer install を実行すると以下メッセージが。

Loading composer repositories with package information
Installing dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - The requested PHP extension ext-mcrypt * is missing from your system.

php-mcrypt が入っていないので怒られた。
というわけで、 $ sudo yum -y php-mcrypt install で入れようとすると。

php-mcrypt は利用できません。 と怒られた。

調べると yum の標準リポジトリには php-mcrypt がないようだ。
そして、 centos php-mcrypt インストール とかのワードで出てくる情報がどれも古いのばっかり。

仕方ないのでいろいろと調べる羽目に。私は CakePHPPHPUnit を入れたいだけなのに、脇道へとそれていく…。

そんなわけで、いろんな情報をつなぎあわせて下記の記事にまとめた。

qiita.com

無事 php-mcrypt をインストールして、 PHPUnit のインストールも完了!